html,
body {
  height: 100%;
  margin: 0;
  background-color: #E6EFFF;
  font-family: 'Open Sans', sans-serif;
}

/* Header component */
.header {
  height: 4vw;
  width: 100%;
  position: fixed;
  overflow: hidden;
  z-index: 10;
  background-color: #337BFF;
  border-bottom: 1px solid #003FB3;
}

.logo {
  padding-left: 10px;
  float: left;
  height: 100%;
  display: flex;
  align-items: center;
  font-style: normal;
  font-weight: bold;
  font-size: 28px;
  color: #FFF;
  text-decoration: none;
}

.navigation {
  float: right;
  height: 100%;
  display: flex;
  padding-right: 10px;
  align-items: center;
}

.navigation a {
  padding: 10px;
  font-style: normal;
  font-size: 15px;
  text-decoration: none;
  color: #FFF;
}

.active {
  font-weight: bold;
  color: #003FB3 !important;
}

/* Page components */
.page {
  margin-top: 4vw;
  position: fixed;
  height: 100%;
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  background-color: #E6EFFF;
}

.content {
  background-color: #FFF;
  min-height: 90%;
  width: 95%;
  padding: 10px;
}

/** About me page **/
.about {
  display: flex;
  flex-direction: row;
}

.about .picture {
  height: 300px;
  width: auto;
}


/** Projects page **/
.project {
  height: 100%;
  display: flex;
  flex-direction: row;
  align-items: center;
}

.project .image {
  height: 150px;
  width: 200px;
  float: left;
}

.project .content {
  display: flex;
  flex-direction: column;
}

.project .content h2,
p {
  margin: 0px;
}

.project .content .git {
  display: flex;
  justify-content: flex-end;
  padding-top: 10px;
}

.project .content .git a {
  display: flex;
  border: 1px solid #337BFF;
  border-radius: 10px;
  padding: 5px;
  text-decoration: none;
  font-style: normal;
  font-weight: bold;
  font-size: 15px;
  color: #337BFF;
}

.project .content .git img {
  height: 25px;
  width: 25px;
  padding-right: 5px;
}

/** Contact page **/
.contact {
  display: flex;
  flex-direction: column;
  align-items: center;
}

.contact .picture {
  height: 300px;
  width: 400px;
}

/* Error page */
.error {
  background-color: #FFF;
  height: 50%;
  width: 50%;
  padding: 10px;
}